App\Entity\DmxledLightChannels:
    type: entity
    table: dmxled_light_channels
    indexes:
        IDX_CE1AA5BF21B2587A:
            columns:
                - d_mxled_light_id
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        channel:
            type: integer
            nullable: false
            options:
                unsigned: false
        nome:
            type: string
            nullable: true
            length: 100
            options:
                fixed: false
    manyToOne:
        dMxledLight:
            targetEntity: DmxledLight
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: null
            joinColumns:
                d_mxled_light_id:
                    referencedColumnName: id
            orphanRemoval: false
    lifecycleCallbacks: {  }
